// -*- Mode: Go; indent-tabs-mode: t -*-

/*
 * Copyright (C) 2015 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package cloud

import (
	check "gopkg.in/check.v1"
	"launchpad.net/snappy-tests-job/utils"
)

var _ = check.Suite(&cloudSuite{})

type cloudSuite struct{}

func (s *cloudSuite) TestNewCanonistackCloudClient(c *check.C) {
	utilHandler := utils.NewBasicHandler()
	subject := NewCloudClient("canonistack", utilHandler)
	_, ok := subject.(*CanonistackClient)

	c.Assert(ok, check.Equals, true,
		check.Commentf("Expected type *Canonistack, got %T", subject))
}
